% sty. %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% style-document which was written for the KIF Konferenzheft of KIF49,0 in Göttingen
% Funcionality: automated inclusion of output-medium specific documents with the same name
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{SelectOutput}[2021/01/21 Output format specific characteristics]

%reads lines of files as input
\RequirePackage{textmerg}
\RequirePackage{ifthen}

%%% directory name option %%%%%%%%%%
\newif\ifpaper
\newif\ifonline

\ifthenelse{\equal{\targetOutput}{paper}}{\papertrue}{\paperfalse}
\ifthenelse{\equal{\targetOutput}{online}}{\onlinetrue}{\onlinefalse}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%% commands for specific uses
\newcommand{\chooseOutput}[1]{\targetOutput}

\newcommand{\inputOutput}[1]{
    \input{\contents/\targetOutput/#1}
}

\newcommand{\xkcdOutput}[4][]{
    \begin{switch}{\targetOutput}
        \case{paper}{\xkcdInput[#1]{#2}}
        \case{online}{\xkcdInput[#1]{#3}}
    \end{switch}
}

% template specification for contact-files to facilitate the disponibilization of contact-informations
\newcommand{\contactOutput}[2]{%
 \Fields{\name \forname \titl \email \room \times \tel \street \plz \city }
    \begin{switch}{\targetOutput}
        \case{paper}{\Merge{\contents/paper/#1.dat}{#2}}
        \case{online}{\Merge{\contents/online/#1.dat}{#2}}
    \end{switch}
}
